#include <iostream>
#include <algorithm>
#include <cmath>
#define maxx 20000

using namespace std;

int main()
{
    long long N, Q, X, A[maxx], B[maxx], C[maxx];
    cin>>N>>Q;
    for(long long i=0; i<N; i++)
    {
        cin>>A[i];
    }
    for(long long i=0; i<Q; i++)
    {
        cin>>B[i];
    }
    sort(A, A+N);
    for(long long i=0; i<N; i++)
    {
        C[i]=A[i];
    }
    long long m = N/2 + 1;
    for(long long i=0; i<Q; i++)
    {
        if(B[i]<A[0] || B[i]>A[N-1])
        {
            cout<<N<<endl;
        }
        else
        {
            A[N]=B[i];
            sort(A, A+N+1);
            for(long long j=0; j<N; j++)
            {
                if(C[j]!=A[j])
                {
                    X=j;
                    j=N;
                }
            }
            for(long long i = 0; i < N; i++)
            {
                A[i] = C[i];
            }
            cout<<abs(m-X)<<endl;
        }
    }
}